Bug 633561 - Review Request: tikz-er2 - LaTeX package for creating entity-relationship diagrams
Summary: Review Request: tikz-er2 - LaTeX package for creating entity-relationship dia...
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FE-Legal FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2010-09-13 23:32 UTC by W. Michael Petullo
Modified: 2013-02-19 15:08 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-19 10:48:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description W. Michael Petullo 2010-09-13 23:32:02 UTC
Spec URL: http://www.flyn.org/SRPMS/tikz-er2.spec
SRPM URL: http://www.flyn.org/SRPMS/tikz-er2-20100913-1.fc14.src.rpm
Description:
tikz-er2 is a LaTeX package for creating entity-relationship diagrams.

Comment 1 Jason Tibbitts 2011-01-28 15:37:12 UTC
A couple of comments:

The upstream version seems to be just "1.0", not 20100913.  If you had to pick a specific date to use as a version, though, it seems to me that 20090131 would be more appropriate.

It would be really great if upstream could put the license in the actual sty file, because it's not completely clear that the license statement in the wiki actually covers the code, and the documentation (which I note should probably be packaged) says:

=====
This package can be obtained at http://www.assembla.com/spaces/tikz-er2. You can
use it free of charge for whatever you want, in whatever way you need.
The only thing I ask is that you let me know if you make any modifications to the
package. If they can be useful to everyone, I'll be glad to insert them in the next version, giving the proper credit to the author, of course.
=====

Note that this is not remotely CC-BY.  It doesn't seem to include redistribution, for example.

Blocking FE-Legal, though I suspect the answer is that we can't package this without clarification.

Comment 2 Tom "spot" Callaway 2011-06-30 17:11:06 UTC
We would need upstream to clarify the licensing on this. It is ambiguous as to whether the "only thing that I ask" is a requirement or an optional nice-to-have.

When you talk to upstream, ask them if they would please consider using an existing FOSS License, such as MIT or BSD. They can then add something like:

  While not required, I would greatly appreciated it if you could let me know if 
  you make modifications to the package. If they are useful to everyone, I'd be 
  glad to insert them in the next version and give proper credit to the author.

Comment 3 Miroslav Suchý 2012-12-16 13:17:21 UTC
Ping? Any progress here? Or we can close this review?

Comment 4 Miroslav Suchý 2013-02-19 10:48:24 UTC
Stalled Review. Closing per:
https://fedoraproject.org/wiki/Policy_for_stalled_package_reviews
If you ever want to continue with this review, please reopen or
submit new review.


Note You need to log in before you can comment on or make changes to this bug.